++ dirname ./run.sh
+ cd .
+ echo 1272
+ echo '2.0-SNAPSHOT BUILD'
2.0-SNAPSHOT BUILD
+ date
Thu Jan 22 09:16:42 UTC 2026
+ uptime
09:16:42 up 1 min, 0 users, load average: 0.99, 0.37, 0.13
+ head=git@github.com:zerocracy/baza.rb.git
+ ff=default
+ image=yegor256/ruby
+ rebase=false
+ squash=false
+ head_branch=master
+ author=yegor256
+ tag=0.12.0
+ vars=('--env=head=git@github.com:zerocracy/baza.rb.git' '--env=tag=0.12.0' '--env=scripts=( '\''export '\''\'\'''\''head=git@github.com:zerocracy/baza.rb.git'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''tag=0.12.0'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''head_branch=master'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''author=yegor256'\''\'\'''\'''\'' '\'';'\'' '\''pdd -f /dev/null'\'' '\'';'\'' '\''bundle install --no-color'\'' '\'';'\'' '\''[[ "${tag}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]] || exit -1'\'' '\'';'\'' '\''bundle exec rake'\'' '\'';'\'' '\''rm -rf *.gem'\'' '\'';'\'' '\''sed -i "s/0\.0\.0/${tag}/g" lib/baza-rb/version.rb'\'' '\'';'\'' '\''git add lib/baza-rb/version.rb'\'' '\'';'\'' '\''git commit -m "version set to ${tag}"'\'' '\'';'\'' '\''gem build baza.rb.gemspec'\'' '\'';'\'' '\''chmod 0600 ../rubygems.yml'\'' '\'';'\'' '\''gem push *.gem --config-file ../rubygems.yml'\'' '\'';'\'' )' '--env=head_branch=master' '--env=author=yegor256')
+ scripts=('export '\''head=git@github.com:zerocracy/baza.rb.git'\''' ';' 'export '\''tag=0.12.0'\''' ';' 'export '\''head_branch=master'\''' ';' 'export '\''author=yegor256'\''' ';' 'pdd -f /dev/null' ';' 'bundle install --no-color' ';' '[[ "${tag}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]] || exit -1' ';' 'bundle exec rake' ';' 'rm -rf *.gem' ';' 'sed -i "s/0\.0\.0/${tag}/g" lib/baza-rb/version.rb' ';' 'git add lib/baza-rb/version.rb' ';' 'git commit -m "version set to ${tag}"' ';' 'gem build baza.rb.gemspec' ';' 'chmod 0600 ../rubygems.yml' ';' 'gem push *.gem --config-file ../rubygems.yml' ';')
+ directory=
+ container=zerocracy_baza.rb_220
+ as_root=false
+ set -e -o pipefail
+ hostname
ip-172-31-22-215
+ pwd
/tmp/rultor-5Bgf
+ git --version
git version 2.34.1
+ docker --version
Docker version 25.0.3, build 4debf41
+ mkdir -p /home/ubuntu/.ssh
+ echo -e 'Host github.com\n\tStrictHostKeyChecking no\n'
+ chmod 600 /home/ubuntu/.ssh/config
+ git clone --recurse-submodules git@github.com:zerocracy/baza.rb.git repo
Cloning into 'repo'...
Warning: Permanently added 'github.com' (ED25519) to the list of known hosts.
+ cd repo
+ git config user.email gpg@rultor.com
+ git config user.name Rultor.com
+ '[' -z 'export '\''head=git@github.com:zerocracy/baza.rb.git'\''' ']'
+ cd ..
+ cat
+ '[' false = true ']'
+ cat
+ chmod a+x entry.sh
+ cat
+ echo 'export '\''head=git@github.com:zerocracy/baza.rb.git'\''' ';' 'export '\''tag=0.12.0'\''' ';' 'export '\''head_branch=master'\''' ';' 'export '\''author=yegor256'\''' ';' 'pdd -f /dev/null' ';' 'bundle install --no-color' ';' '[[ "${tag}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]] || exit -1' ';' 'bundle exec rake' ';' 'rm -rf *.gem' ';' 'sed -i "s/0\.0\.0/${tag}/g" lib/baza-rb/version.rb' ';' 'git add lib/baza-rb/version.rb' ';' 'git commit -m "version set to ${tag}"' ';' 'gem build baza.rb.gemspec' ';' 'chmod 0600 ../rubygems.yml' ';' 'gem push *.gem --config-file ../rubygems.yml' ';'
+ sensitive=()
+ set -ex -o pipefail
+ '[' -z 0.12.0 ']'
+ [[ 0.12.0 =~ ^[a-zA-Z0-9\.\-]+$ ]]
+ echo 'tag name is valid: "0.12.0"'
tag name is valid: "0.12.0"
+ cd repo
++ git tag -l 0.12.0
+ '[' -n '' ']'
+ BRANCH_NAME=__rultor
++ wc -l
++ git show-branch __rultor
+ '[' 0 -gt 0 ']'
+ export BRANCH_NAME
+ git checkout -b __rultor
Switched to a new branch '__rultor'
+ docker_when_possible
+ true
++ tail -n 1
++ sed 's/ /\n/g'
++ uptime
+ load=0.15
++ bc
++ echo 0.15 '>' 30
+ '[' 0 -eq 1 ']'
+ echo 'load average is 0.15, low enough to run a new Docker container'
load average is 0.15, low enough to run a new Docker container
+ break
+ cd ..
+ '[' -n '' ']'
+ use_image=yegor256/ruby
+ docker pull yegor256/ruby
Using default tag: latest
latest: Pulling from yegor256/ruby
632ef5283d0f: Pulling fs layer
2be42d221bda: Pulling fs layer
54d1704eb717: Pulling fs layer
f0f51ee5c79e: Pulling fs layer
ec11ce133a4e: Pulling fs layer
71ab1586461a: Pulling fs layer
8e0e2fc3c108: Pulling fs layer
4f4fb700ef54: Pulling fs layer
72e45e6fed5c: Pulling fs layer
99e89f339e27: Pulling fs layer
3f0278ea12d5: Pulling fs layer
11f168291684: Pulling fs layer
0943aaa8f703: Pulling fs layer
fd13cdf0383c: Pulling fs layer
f0f51ee5c79e: Waiting
ec11ce133a4e: Waiting
71ab1586461a: Waiting
8e0e2fc3c108: Waiting
4f4fb700ef54: Waiting
72e45e6fed5c: Waiting
99e89f339e27: Waiting
3f0278ea12d5: Waiting
11f168291684: Waiting
0943aaa8f703: Waiting
fd13cdf0383c: Waiting
2be42d221bda: Verifying Checksum
2be42d221bda: Download complete
632ef5283d0f: Verifying Checksum
632ef5283d0f: Download complete
54d1704eb717: Verifying Checksum
54d1704eb717: Download complete
ec11ce133a4e: Verifying Checksum
ec11ce133a4e: Download complete
8e0e2fc3c108: Verifying Checksum
8e0e2fc3c108: Download complete
4f4fb700ef54: Verifying Checksum
4f4fb700ef54: Download complete
72e45e6fed5c: Verifying Checksum
72e45e6fed5c: Download complete
71ab1586461a: Verifying Checksum
71ab1586461a: Download complete
99e89f339e27: Verifying Checksum
99e89f339e27: Download complete
f0f51ee5c79e: Verifying Checksum
f0f51ee5c79e: Download complete
0943aaa8f703: Verifying Checksum
0943aaa8f703: Download complete
11f168291684: Verifying Checksum
11f168291684: Download complete
fd13cdf0383c: Verifying Checksum
fd13cdf0383c: Download complete
3f0278ea12d5: Verifying Checksum
3f0278ea12d5: Download complete
632ef5283d0f: Pull complete
2be42d221bda: Pull complete
54d1704eb717: Pull complete
f0f51ee5c79e: Pull complete
ec11ce133a4e: Pull complete
71ab1586461a: Pull complete
8e0e2fc3c108: Pull complete
4f4fb700ef54: Pull complete
72e45e6fed5c: Pull complete
99e89f339e27: Pull complete
3f0278ea12d5: Pull complete
11f168291684: Pull complete
0943aaa8f703: Pull complete
fd13cdf0383c: Pull complete
Digest: sha256:2efd606f46d102d3ac2341eae193a4da1f1d8af42a73f51ec066a7cb55d5e37d
Status: Downloaded newer image for yegor256/ruby:latest
docker.io/yegor256/ruby:latest
+ docker ps --filter=status=exited
+ grep --quiet '\szerocracy_baza.rb_220\s*$'
+ ls -al .
total 48
drwx------ 3 ubuntu ubuntu 4096 Jan 22 09:16 .
drwxrwxrwt 12 root root 4096 Jan 22 09:16 ..
-rwxrwxr-x 1 ubuntu ubuntu 666 Jan 22 09:16 end.sh
-rwxrwxr-x 1 ubuntu ubuntu 498 Jan 22 09:16 entry.sh
-rw-rw-r-- 1 ubuntu ubuntu 5 Jan 22 09:16 pid
drwxrwxr-x 7 ubuntu ubuntu 4096 Jan 22 09:16 repo
-rw-rw-r-- 1 ubuntu ubuntu 81 Jan 22 09:16 rubygems.yml
-rwxrwxr-x 1 ubuntu ubuntu 6601 Jan 22 09:16 run.sh
-rw-rw-r-- 1 ubuntu ubuntu 686 Jan 22 09:16 script.sh
-rw-rw-r-- 1 ubuntu ubuntu 6288 Jan 22 09:17 stdout
++ pwd
++ pwd
+ docker run -t --rm -v /tmp/rultor-5Bgf:/main --env=head=git@github.com:zerocracy/baza.rb.git --env=tag=0.12.0 '--env=scripts=( '\''export '\''\'\'''\''head=git@github.com:zerocracy/baza.rb.git'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''tag=0.12.0'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''head_branch=master'\''\'\'''\'''\'' '\'';'\'' '\''export '\''\'\'''\''author=yegor256'\''\'\'''\'''\'' '\'';'\'' '\''pdd -f /dev/null'\'' '\'';'\'' '\''bundle install --no-color'\'' '\'';'\'' '\''[[ "${tag}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]] || exit -1'\'' '\'';'\'' '\''bundle exec rake'\'' '\'';'\'' '\''rm -rf *.gem'\'' '\'';'\'' '\''sed -i "s/0\.0\.0/${tag}/g" lib/baza-rb/version.rb'\'' '\'';'\'' '\''git add lib/baza-rb/version.rb'\'' '\'';'\'' '\''git commit -m "version set to ${tag}"'\'' '\'';'\'' '\''gem build baza.rb.gemspec'\'' '\'';'\'' '\''chmod 0600 ../rubygems.yml'\'' '\'';'\'' '\''gem push *.gem --config-file ../rubygems.yml'\'' '\'';'\'' )' --env=head_branch=master --env=author=yegor256 --hostname=docker --privileged --net=host --dns 8.8.8.8 --add-host docker:127.0.0.1 --memory=8g --memory-swap=16g --oom-kill-disable --cidfile=/tmp/rultor-5Bgf/cid -w=/main -v /var/run/docker.sock:/var/run/docker.sock --name=zerocracy_baza.rb_220 yegor256/ruby /main/entry.sh
WARNING: Your kernel does not support OomKillDisable. OomKillDisable discarded.
+ set -e
+ set -o pipefail
+ shopt -s dotglob
+ useradd -m -G sudo r
++ awk -F : '$3 > 100 { print $1 }'
++ cat /etc/group
+ for g in $(cat /etc/group | awk -F ':' '$3 > 100 { print $1 }')
+ usermod -a -G nogroup r
+ for g in $(cat /etc/group | awk -F ':' '$3 > 100 { print $1 }')
+ usermod -a -G ssh r
+ for g in $(cat /etc/group | awk -F ':' '$3 > 100 { print $1 }')
+ usermod -a -G docker r
+ for g in $(cat /etc/group | awk -F ':' '$3 > 100 { print $1 }')
+ usermod -a -G r r
+ usermod -s /bin/bash r
+ echo '%sudo ALL=(ALL) NOPASSWD:ALL'
+ cp -R /root/.bashrc /root/.cache /root/.gemrc /root/.profile /home/r
+ cp -R ./cid ./end.sh ./entry.sh ./pid ./repo ./rubygems.yml ./run.sh ./script.sh ./stdout /home/r
+ rm -rf repo
+ chown -R r:r /home/r
+ chmod a+x /home/r/script.sh
+ cat /home/r/script.sh
#!/usr/bin/env bash
set -e
set -o pipefail
if [ -e /home/r/.profile ]; then source /home/r/.profile; fi
shopt -s expand_aliases
alias 'sudo=sudo -i'
export HOME=/home/r
cd "${HOME}/repo"
export 'head=git@github.com:zerocracy/baza.rb.git' ; export 'tag=0.12.0' ; export 'head_branch=master' ; export 'author=yegor256' ; pdd -f /dev/null ; bundle install --no-color ; [[ "${tag}" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]] || exit -1 ; bundle exec rake ; rm -rf *.gem ; sed -i "s/0\.0\.0/${tag}/g" lib/baza-rb/version.rb ; git add lib/baza-rb/version.rb ; git commit -m "version set to ${tag}" ; gem build baza.rb.gemspec ; chmod 0600 ../rubygems.yml ; gem push *.gem --config-file ../rubygems.yml ;
+ su --login r --command /home/r/script.sh
Found 7 lines in /home/r/repo/.pdd
My version is 0.23.1
Ruby version is 3.4.5 at x86_64-linux
Reading from root dir .
Excluding target/**/*
Excluding coverage/**/*
/usr/local/bundle/gems/pdd-0.23.1/lib/pdd/sources.rb:90: warning: undefining the allocator of T_DATA class FileMagic
/home/r/repo/renovate.json is a binary file (107 bytes)
Reading .0pdd.yml ...
Reading .gitattributes ...
Reading .github/workflows/actionlint.yml ...
Reading .github/workflows/codecov.yml ...
Reading .github/workflows/copyrights.yml ...
Reading .github/workflows/markdown-lint.yml ...
Reading .github/workflows/pdd.yml ...
Reading .github/workflows/rake.yml ...
Reading .github/workflows/reuse.yml ...
Reading .github/workflows/typos.yml ...
Reading .github/workflows/xcop.yml ...
Reading .github/workflows/yamllint.yml ...
Reading .gitignore ...
Reading .pdd ...
Reading .rubocop.yml ...
Reading .rultor.yml ...
Reading .yamllint.yml ...
Reading Gemfile ...
Reading Gemfile.lock ...
Reading LICENSE.txt ...
Reading LICENSES/MIT.txt ...
Reading README.md ...
Reading REUSE.toml ...
Reading Rakefile ...
Reading baza.rb.gemspec ...
Reading lib/baza-rb/fake.rb ...
Reading lib/baza-rb/version.rb ...
Reading lib/baza-rb.rb ...
Reading test/test__helper.rb ...
Reading test/test_baza.rb ...
Reading test/test_baza_live.rb ...
Reading test/test_fake.rb ...
Bundler 2.6.9 is running, but your lockfile was generated with 2.5.16. Installing Bundler 2.5.16 and restarting using that version.
Fetching gem metadata from https://rubygems.org/.
Fetching bundler 2.5.16
Installing bundler 2.5.16
Fetching gem metadata from https://rubygems.org/........
Fetching rake 13.3.1
Installing rake 13.3.1
Fetching public_suffix 7.0.2
Installing public_suffix 7.0.2
Fetching addressable 2.8.8
Installing addressable 2.8.8
Fetching ansi 1.5.0
Installing ansi 1.5.0
Fetching ast 2.4.3
Installing ast 2.4.3
Fetching backtrace 0.4.1
Installing backtrace 0.4.1
Fetching base64 0.3.0
Installing base64 0.3.0
Fetching ellipsized 0.3.0
Installing ellipsized 0.3.0
Fetching logger 1.7.0
Installing logger 1.7.0
Fetching loog 0.7.2
Installing loog 0.7.2
Fetching tago 0.6.0
Installing tago 0.6.0
Fetching elapsed 0.2.2
Installing elapsed 0.2.2
Fetching uri 1.1.1
Installing uri 1.1.1
Fetching net-http 0.9.1
Installing net-http 0.9.1
Fetching faraday-net_http 3.4.2
Installing faraday-net_http 3.4.2
Fetching json 2.18.0
Installing json 2.18.0 with native extensions
Fetching faraday 2.14.0
Installing faraday 2.14.0
Fetching faraday-http-cache 2.6.1
Installing faraday-http-cache 2.6.1
Fetching multipart-post 2.4.1
Installing multipart-post 2.4.1
Fetching faraday-multipart 1.2.0
Installing faraday-multipart 1.2.0
Fetching faraday-retry 2.4.0
Installing faraday-retry 2.4.0
Fetching iri 0.11.7
Installing iri 0.11.7
Fetching retries 0.0.5
Installing retries 0.0.5
Fetching ffi 1.17.3 (x86_64-linux-gnu)
Installing ffi 1.17.3 (x86_64-linux-gnu)
Fetching ethon 0.15.0
Installing ethon 0.15.0
Fetching typhoeus 1.5.0
Installing typhoeus 1.5.0
Fetching bigdecimal 4.0.1
Installing bigdecimal 4.0.1 with native extensions
Fetching builder 3.3.0
Installing builder 3.3.0
Fetching rexml 3.4.4
Installing rexml 3.4.4
Fetching crack 1.0.1
Installing crack 1.0.1
Fetching date 3.5.1
Installing date 3.5.1 with native extensions
Fetching decoor 0.1.0
Installing decoor 0.1.0
Fetching docile 1.4.1
Installing docile 1.4.1
Fetching erb 6.0.1
Installing erb 6.0.1 with native extensions
Fetching nokogiri 1.19.0 (x86_64-linux-gnu)
Installing nokogiri 1.19.0 (x86_64-linux-gnu)
Fetching others 0.1.1
Installing others 0.1.1
Fetching yaml 0.4.0
Installing yaml 0.4.0
Fetching factbase 0.19.3
Installing factbase 0.19.3
Fetching hashdiff 1.2.1
Installing hashdiff 1.2.1
Fetching language_server-protocol 3.17.0.5
Installing language_server-protocol 3.17.0.5
Fetching lint_roller 1.1.0
Installing lint_roller 1.1.0
Fetching prism 1.8.0
Installing prism 1.8.0 with native extensions
Fetching minitest 6.0.1
Installing minitest 6.0.1
Fetching ruby-progressbar 1.13.0
Installing ruby-progressbar 1.13.0
Fetching minitest-reporters 1.7.1
Installing minitest-reporters 1.7.1
Fetching ruby2_keywords 0.0.5
Installing ruby2_keywords 0.0.5
Fetching mustermann 3.0.4
Installing mustermann 3.0.4
Fetching nio4r 2.7.5
Installing nio4r 2.7.5 with native extensions
Fetching openssl 4.0.0
Installing openssl 4.0.0 with native extensions
Fetching timeout 0.6.0
Installing timeout 0.6.0
Fetching online 0.3.0
Installing online 0.3.0
Fetching os 1.1.4
Installing os 1.1.4
Fetching parallel 1.27.0
Installing parallel 1.27.0
Fetching parser 3.3.10.1
Installing parser 3.3.10.1
Fetching stringio 3.2.0
Installing stringio 3.2.0 with native extensions
Fetching psych 5.3.1
Installing psych 5.3.1 with native extensions
Fetching puma 7.2.0
Installing puma 7.2.0 with native extensions
Fetching qbash 0.6.0
Installing qbash 0.6.0
Fetching rack 3.2.4
Installing rack 3.2.4
Fetching rack-protection 4.2.1
Installing rack-protection 4.2.1
Fetching rack-session 2.1.1
Installing rack-session 2.1.1
Fetching rackup 2.3.1
Installing rackup 2.3.1
Fetching random-port 0.7.6
Installing random-port 0.7.6
Fetching tsort 0.2.0
Installing tsort 0.2.0
Fetching rdoc 7.1.0
Installing rdoc 7.1.0
Fetching regexp_parser 2.11.3
Installing regexp_parser 2.11.3
Fetching rubocop-ast 1.49.0
Installing rubocop-ast 1.49.0
Fetching unicode-emoji 4.2.0
Installing unicode-emoji 4.2.0
Fetching unicode-display_width 3.2.0
Installing unicode-display_width 3.2.0
Fetching rubocop 1.82.1
Installing rubocop 1.82.1
Fetching rubocop-minitest 0.38.2
Installing rubocop-minitest 0.38.2
Fetching rubocop-performance 1.26.1
Installing rubocop-performance 1.26.1
Fetching rubocop-rake 0.7.1
Installing rubocop-rake 0.7.1
Fetching simplecov-html 0.13.2
Installing simplecov-html 0.13.2
Fetching simplecov_json_formatter 0.1.4
Installing simplecov_json_formatter 0.1.4
Fetching simplecov 0.22.0
Installing simplecov 0.22.0
Fetching simplecov-cobertura 3.1.0
Installing simplecov-cobertura 3.1.0
Fetching tilt 2.7.0
Installing tilt 2.7.0
Fetching sinatra 4.2.1
Installing sinatra 4.2.1
Fetching wait_for 0.1.1
Installing wait_for 0.1.1
Fetching webmock 3.26.1
Installing webmock 3.26.1
Fetching webrick 1.9.2
Installing webrick 1.9.2
Fetching yard 0.9.38
Installing yard 0.9.38
Bundle complete! 25 Gemfile dependencies, 87 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
/usr/local/bundle/gems/bundler-2.5.16/lib/bundler/rubygems_ext.rb:250: warning: method redefined; discarding old encode_with
/usr/local/lib/ruby/3.4.0/rubygems/dependency.rb:341: warning: previous definition of encode_with was here
/usr/local/bundle/gems/wait_for-0.1.1/lib/wait_for.rb:30: warning: assigned but unused variable - e
Started with run options --seed 56796
TestBazaRb
test_simple_lock_failure 32m PASS0m (0.03s)
test_enter 32m PASS0m (0.00s)
test_push_with_meta 32m PASS0m (0.01s)
test_real_http 32m PASS0m (0.00s)
test_exit_code_check 32m PASS0m (0.00s)
test_simple_push 32m PASS0m (0.00s)
test_get_request_retries_on_429_status_code 32m PASS0m (0.00s)
test_durable_unlock 32m PASS0m (0.00s)
test_simple_finish 32m PASS0m (0.00s)
test_simple_pop_with_no_job_found 32m PASS0m (0.00s)
test_push_compression_disabled 32m PASS0m (0.01s)
test_download_retries_on_busy_server 32m PASS0m (0.00s)
test_checked_with_404_error 32m PASS0m (0.00s)
test_reads_whoami 32m PASS0m (0.00s)
test_stdout_read 32m PASS0m (0.00s)
test_version_is_set 32m PASS0m (0.00s)
test_upload_retries_on_busy_server 32m PASS0m (0.00s)
test_push_without_compression 32m PASS0m (0.00s)
test_simple_pull 32m PASS0m (0.00s)
test_checks_whether_job_is_finished 32m PASS0m (0.00s)
test_durable_load_empty_content 32m PASS0m (0.00s)
test_simple_exists_check 32m PASS0m (0.00s)
test_with_very_short_timeout 32m PASS0m (3.30s)
test_download_sticks_host 32m PASS0m (0.00s)
test_download_switches_host_mid_range 32m PASS0m (1.00s)
test_fee 32m PASS0m (0.00s)
test_durable_lock 32m PASS0m (0.00s)
test_simple_recent_check 32m PASS0m (0.00s)
test_unlocks_job_by_name 32m PASS0m (0.00s)
test_checked_with_500_error 32m PASS0m (0.00s)
test_durable_load_with_broken_compression 32m PASS0m (0.00s)
test_durable_find_found 32m PASS0m (0.00s)
test_transfer_payment_with_job 32m PASS0m (0.00s)
test_push_compressed_content 32m PASS0m (0.00s)
test_durable_place 32m PASS0m (0.01s)
test_durable_save 32m PASS0m (0.01s)
test_transfer_payment 32m PASS0m (0.00s)
test_simple_pop_with_ranges 32m PASS0m (0.01s)
test_durable_load_in_chunks 32m PASS0m (1.01s)
test_push_with_big_meta 32m PASS0m (0.01s)
test_reads_balance 32m PASS0m (0.00s)
test_durable_find_not_found 32m PASS0m (0.00s)
test_simple_lock_success 32m PASS0m (0.00s)
test_upload_sticks_host 32m PASS0m (0.00s)
test_upload_switches_host_mid_chunks 32m PASS0m (0.02s)
test_reads_verification_verdict 32m PASS0m (0.00s)
test_checked_with_503_error 32m PASS0m (0.00s)
test_checked_with_0_error 32m PASS0m (0.00s)
test_enter_not_cached 32m PASS0m (0.01s)
test_durable_load 32m PASS0m (0.00s)
test_durable_load_from_sinatra 32m PASS0m (0.83s)
TestBazaLive
test_live_enter_valve 32m PASS0m (1.09s)
test_live_balance 32m PASS0m (0.07s)
test_live_push_no_compression 32m PASS0m (1.06s)
test_get_csrf_token 32m PASS0m (0.01s)
test_live_full_cycle 31m FAIL0m (481.32s)
Expected false to be truthy.
/home/r/repo/test/test_baza_live.rb:50:in 'TestBazaLive#test_live_full_cycle'
test_live_whoami 32m PASS0m (0.01s)
test_live_durable_lock_unlock 32m PASS0m (5.25s)
test_live_fee_payment 32m PASS0m (0.02s)
TestFake
test_pull 32m PASS0m (0.00s)
test_verified 32m PASS0m (0.00s)
test_stdout 32m PASS0m (0.00s)
test_durable_operations 32m PASS0m (0.00s)
test_name_exists 32m PASS0m (0.00s)
test_csrf 32m PASS0m (0.00s)
test_pays_fee 32m PASS0m (0.00s)
test_finish 32m PASS0m (0.00s)
test_whoami 32m PASS0m (0.00s)
test_recent 32m PASS0m (0.00s)
test_enter 32m PASS0m (0.00s)
test_finished 32m PASS0m (0.00s)
test_balance 32m PASS0m (0.00s)
test_transfer 32m PASS0m (0.00s)
test_lock_unlock 32m PASS0m (0.00s)
test_exit_code 32m PASS0m (0.00s)
test_pop 32m PASS0m (0.00s)
test_push 32m PASS0m (0.00s)
Finished in 495.17229s
77 tests, 116 assertions, 31m1 failures, 0 errors, 0m33m0 skips0m
Coverage report generated for Unit Tests to /home/r/repo/coverage.
Line Coverage: 98.32% (526 / 535)
Coverage report generated for Unit Tests to /home/r/repo/coverage/coverage.xml.
Line Coverage: 98.32% (526 / 535)
Stopped processing SimpleCov as a previous error not related to SimpleCov has been detected
rake aborted!
Command failed with status (1)
/usr/local/bundle/gems/rake-13.3.1/exe/rake:27:in '<top (required)>'
/usr/local/bundle/gems/bundler-2.5.16/lib/bundler/cli/exec.rb:58:in 'Kernel.load'
/usr/local/bundle/gems/bundler-2.5.16/lib/bundler/cli/exec.rb:58:in 'Bundler::CLI::Exec#kernel_load'
/usr/local/bundle/gems/bundler-2.5.16/lib/bundler/cli/exec.rb:23:in 'Bundler::CLI::Exec#run'
/usr/local/bundle/gems/bundler-2.5.16/lib/bundler/cli.rb:455:in 'Bundler::CLI#exec'
/usr/local/bundle/gems/bundler-2.5.16/lib/bundler/vendor/thor/lib/thor/command.rb:28:in 'Bundler::Thor::Command#run'
/usr/local/bundle/gems/bundler-2.5.16/lib/bundler/vendor/thor/lib/thor/invocation.rb:127:in 'Bundler::Thor::Invocation#invoke_command'
/usr/local/bundle/gems/bundler-2.5.16/lib/bundler/vendor/thor/lib/thor.rb:527:in 'Bundler::Thor.dispatch'
/usr/local/bundle/gems/bundler-2.5.16/lib/bundler/cli.rb:35:in 'Bundler::CLI.dispatch'
/usr/local/bundle/gems/bundler-2.5.16/lib/bundler/vendor/thor/lib/thor/base.rb:584:in 'Bundler::Thor::Base::ClassMethods#start'
/usr/local/bundle/gems/bundler-2.5.16/lib/bundler/cli.rb:29:in 'Bundler::CLI.start'
/usr/local/bundle/gems/bundler-2.5.16/exe/bundle:28:in 'block in <top (required)>'
/usr/local/bundle/gems/bundler-2.5.16/lib/bundler/friendly_errors.rb:117:in 'Bundler.with_friendly_errors'
/usr/local/bundle/gems/bundler-2.5.16/exe/bundle:20:in '<top (required)>'
/usr/local/bundle/bin/bundle:25:in 'Kernel#load'
/usr/local/bundle/bin/bundle:25:in '<main>'
Tasks: TOP => default => test
(See full trace by running task with --trace)
container d40f42dddd3e2c66044734e51a7a3dc5f3338ee903c8ead7091a247d60b862de is dead
Thu Jan 22 09:27:28 UTC 2026